package org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces;

import org.texttechnologylab.project.gruppe_05_1.xml.speeches.enums.MongoDBEntryType;

public interface Speaker extends Content {
    /**
     * Returns the content ID.
     *
     * @return The content ID.
     */
    int getContentId();


    /**
     * Returns the type of the MongoDB entry.
     *
     * @return The type of the MongoDB entry.
     */
    MongoDBEntryType getType();

    /**
     * Returns the speakerId.
     *
     * @return the speakerId
     */
    int getSpeakerId();

    /**
     * Returns the speakerName.
     *
     * @return the speakerName
     */
    String getSpeakerName();

    /**
     * Returns the fraction.
     *
     * @return the fraction
     */
    String getFraction();
}
